Bug 16146 - [3.22] ACQ: Previewed records in Z39.50 search results are wrong
Summary: [3.22] ACQ: Previewed records in Z39.50 search results are wrong
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.22
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-24 16:00 UTC by Christian Stelzenmüller
Modified: 2016-12-05 21:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16146 - ACQ: Previewed records in Z39.50 search results are wrong (2.15 KB, patch)
2016-03-24 17:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16146 - ACQ: Previewed records in Z39.50 search results are wrong (2.18 KB, patch)
2016-03-24 21:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 16146 - ACQ: Previewed records in Z39.50 search results are wrong (2.25 KB, patch)
2016-03-24 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Stelzenmüller 2016-03-24 16:00:07 UTC
When searching for records via Z39.50 in Aquisitions the context menu links display the wrong records (probably the last one on the list).

This was fixed by bug 15318 on master. But not backported as it is an enhancement.
Comment 1 Owen Leonard 2016-03-24 17:03:18 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-24 20:38:07 UTC
Both MARC and Card look good on 3.22.x for me.
Comment 3 Owen Leonard 2016-03-24 20:56:41 UTC
(In reply to Jonathan Druart from comment #2)
> Both MARC and Card look good on 3.22.x for me.

It's not the links in the last table cell in each row, but in the little menu which appears if you click within one of the other table cells.
Comment 4 Jonathan Druart 2016-03-24 21:12:16 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-24 21:12:49 UTC
(In reply to Owen Leonard from comment #3)
> (In reply to Jonathan Druart from comment #2)
> > Both MARC and Card look good on 3.22.x for me.
> 
> It's not the links in the last table cell in each row, but in the little
> menu which appears if you click within one of the other table cells.

Indeed!
Sorry not to read commit messages with attention...
Comment 6 Katrin Fischer 2016-03-24 22:02:07 UTC
Created attachment 49566 [details] [review]
[PASSED QA] Bug 16146 - ACQ: Previewed records in Z39.50 search results are wrong

For 3.22.x only:

This patch fixes a bug which was fixed in cataloging by Bug 6367 and
fixed in master by Bug 15318. A misplaced line of JavaScript means that
the popup menu of options shown when clicking in a table cell links to
the wrong record.

To test:

1. Apply the patch and navigate to Acquisitions.
2. Locate an exsiting basket or create a new one.
3. Add to the basket using the option to order from an external source..
4. Perform a search which will return multiple results.
5. Test the "MARC" and "Card" links for multiple results and confirm
   that the correct data is shown each time.
6. Click anywhere in the results table to show the hidden menu and test
   the "Preview MARC," "Preview card," and "Order" links it displays,
   confirming that the actions complete using the correct record.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Julian Maurice 2016-04-01 07:15:35 UTC
Patch pushed to 3.22.x, will be in 3.22.6. Thanks everyone